/*
Pinbelegung
VCC -> Betriebsspannung (+5 V)
GND -> Masse
D0 -> Digitalausgang (HIGH/LOW)
A0 -> Analogausgang (optional – oft nicht belegt)

Anschluss an ein Arduino Board
VCC → 5V
GND → GND
D0 → D2 (oder ein beliebiger Digitalpin)
*/
const int sensorPin = 2;

void setup() {
  pinMode(sensorPin, INPUT);
  Serial.begin(9600);
}

void loop() {
  int status = digitalRead(sensorPin);
  if (status == LOW) {
    Serial.println("Objekt erkannt!");
  } else {
    Serial.println("Frei");
  }
  delay(200);
}